ONVIF::Device::Types::ConfigDescription(3)

NAME
ONVIF::Device::Types::ConfigDescription

DESCRIPTION
Perl data type class for the XML Schema defined complexType ConfigDescription from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Parameters

•   Messages

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::ConfigDescription
   Parameters =>  { # ONVIF::Device::Types::ItemListDescription
     SimpleItemDescription => ,
     ElementItemDescription => ,
     Extension =>  { # ONVIF::Device::Types::ItemListDescriptionExtension
     },
   },
   Messages =>  {
     ParentTopic =>  $some_value, # string
   },
   Extension =>  { # ONVIF::Device::Types::ConfigDescriptionExtension
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Device::Types::ConfigDescription::_ConfigDescription::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Name

     XML Type of the Configuration (e.g. "tt::LineDetector").

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::QName.

AUTHOR
Generated by SOAP::WSDL